Jak zainstalować Adobe Air w 64bitowej edycji Ubuntu


(Jacob) #1

Cześć!

Chciałbym zainstalować w swoim systemie Ubuntu Linux środowisko Adobe Air. Jednakże gdy instaluję pobrany pakiet ze strony firmy Adobe pojawia mi się następujący komunikat: "Błąd: Nieodpowiednia architektura "i386".

Jak w takim razie zainstalować to środowisko w 64 bitowej edycji systemu Ubuntu Linux?


(Sawyer47) #2

Zakładając, że poniższa strona jest aktualna, to:

http://kb2.adobe.com/cps/521/cpsid_52132.html


(Jacob) #3

No właśnie nie jest aktualna... a dokładniej linki, nie wskazują do poprawnych stron...


(Coman Pl) #4

http://www.omgubuntu.co.uk/2010/01/how- ... 64bit.html


(Jacob) #5

Poradziłem sobie ze wszystkim poza instalowaniem tego ostatniego pliku AdobeAIRInstaller.bin - robię wszystko tak jak jest tam napisane jednak wciąż pojawia się komunikat Nie można wyświetlić "/home/jacob/AdobeAIRInstaller.bin". Nieznany typ pliku...

Jak więc go zainstalować?


(Coman Pl) #6

spróbuj tak: sudo sh /home/jacob/AdobeAIRInstaller.bin Jeśli nie zadziała spróbuj wcześniej dać: chmod +x /home/jacob/AdobeAIRInstaller.bin


(Jacob) #7

Robię tak jak piszesz i oto co pojawia mi się w konsoli:

jacob@Jacob-Notebook-Linux:~$ sudo sh /home/jacob/AdobeAIRInstaller.bin

/home/jacob/AdobeAIRInstaller.bin: 1: Syntax error: "(" unexpected

jacob@Jacob-Notebook-Linux:~$ chmod +x /home/jacob/AdobeAIRInstaller.bin

jacob@Jacob-Notebook-Linux:~$ sudo sh /home/jacob/AdobeAIRInstaller.bin

/home/jacob/AdobeAIRInstaller.bin: 1: Syntax error: "(" unexpected

jacob@Jacob-Notebook-Linux:~$

(Coman Pl) #8

Hmm... a może spróbuj najpierw wejść do katalogu z binarką czyli:

cd /home/jackob/

i potem

sudo chmod +x AdobeAIRInstaller.bin 

sudo ./AdobeAIRInstaller.bin

jak nie zadziała spróbuj:

sudo sh AdobeAIRInstaller.bin

(Jacob) #9

OK udało się...

Dzięki wielkie za pomoc!


(Coman Pl) #10

Dziękuje, zapraszam ponownie:)


(Xwars) #11
AdobeAIRInstaller.bin: 1: Syntax error: "(" unexpected

Takie cudowny błąd (albo wręcz "file not found") na systemach 64 bitowych jest spowodowany brakiem "ia32-libs", domyślnie, przynajmniej w wersji serwerowej Ubuntu, tego pakietu zainstalowanego nie ma.